Bug 7213 - отсутствует выбор локали (кодировки) при установке
: отсутствует выбор локали (кодировки) при установке
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/install2-x11-qt)
: unstable
: all Linux
: P2 major
Assigned To:
:
: http://wiki.sisyphus.ru/beta/Critical
:
: 7240
: 7079
  Show dependency tree
 
Reported: 2005-06-27 13:18 by
Modified: 2007-11-10 16:51 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-27 13:18:04

    
------- Comment #1 From 2005-06-28 09:42:27 -------
А зачем она нужна в момент установки ?
Достаточно выбора языка.
------- Comment #2 From 2005-06-28 11:20:15 -------
(In reply to comment #1)
> А зачем она нужна в момент установки ?
> Достаточно выбора языка.
> 

у меня 200 удаленных машин с коевой локалью и я люблю xmms. :)
------- Comment #3 From 2005-06-28 11:28:27 -------
А как это связано с локалью по умолчанию ?

я так и не понял ;-)

Тем более что ее можно всегда сменить _после установки_
------- Comment #4 From 2005-06-28 11:52:10 -------
(In reply to comment #2)  
> у меня 200 удаленных машин с коевой локалью и я люблю xmms. :)  
После переустановки у ранее созданных пользователей локаль не измениться :-) 
------- Comment #5 From 2005-06-28 12:16:52 -------
> А как это связано с локалью по умолчанию ?
> 
> я так и не понял ;-)
> 
> Тем более что ее можно всегда сменить _после установки_

Нужно знать, как. ;) А при установке - один раз тцыкнуть. 

------- Comment #6 From 2005-06-28 12:49:01 -------
После установки - один раз тцыкнуть в acc
------- Comment #7 From 2005-06-28 14:06:04 -------
> После установки - один раз тцыкнуть в acc
> 

у меня acc вообще не работает из текущего Сизифа :(
но если в 2.9.9 все ок - тогда багу можно закрывать
------- Comment #8 From 2005-06-28 14:22:34 -------
acc надо запускать под пользователем без всяких sudo
или под рутом запускать acc.real
------- Comment #9 From 2005-06-28 14:25:25 -------
дык не работает, я в sisyphus@ пока отписал - мож, чего с моей стороны не
так...
------- Comment #10 From 2005-06-28 14:39:22 -------
так чего не работает то ?
------- Comment #11 From 2005-06-28 14:49:20 -------
> так чего не работает то ?
> 

acc в текущем сизифе :) но это уже совсем другая история, багу можно закрывать,
если в acc 3.0 можно будет одним тцыком поменять локаль.
------- Comment #12 From 2005-06-29 14:36:18 -------
Значтак.  Предлагаемый план по проблеме (она действительно есть):

- в 3.0 остаётся как есть, поскольку
- решать её осмысленно не саму по себе,
  а как часть проблемы "кому много, а кому мало" (фич)
- по какому поводу повешена #7240 и
- этот багрепорт делаю REOPEN и depends: на ту с тем, чтобы
- сейчас её закрыть как LATER 3.1.

Свои пункты выполнил :)

PS: т.к. #7240 -- фактически системообразующая вещь, то Cc: aen@.
------- Comment #13 From 2005-07-06 18:56:43 -------
(In reply to comment #11)
> багу можно закрывать, если в acc 3.0 можно будет одним тцыком поменять локаль.

В том, что в 2.9.11 -- толком нельзя.  То, что делается -- всё рано неочевидно
даже там, где всё правильно: неуловима заранее разница между запуском модуля
региональных настроек (который правит ~/.i18n) и его же из acc, который из-под
consolehelper будет от имени root (и правит /etc/sysconfig/i18n).

Плюс разваливается менюшка (растущее из /usr/lib/menu рисуется в UTF), причём я
не в курсе, чем починить можно.  Новичок -- тем более.

2 inger и kirill: ваше мнение?
------- Comment #14 From 2005-08-03 21:42:42 -------
предлагаю закрыть ввиду #7548
------- Comment #15 From 2005-08-04 12:01:20 -------
Закрыто. Просьба не переоткрывать - это меняться не будет в виду архитектурных
особенностей инсталятора.
------- Comment #16 From 2005-08-04 13:20:28 -------
Только это инсталер INVALID, а баг -- WONTFIX ;-)  Просьба не путать.
------- Comment #17 From 2005-08-04 18:05:22 -------
Да нет, как раз наоборот ;-)
------- Comment #18 From 2005-08-04 22:38:28 -------
*sigh*